libebook::MOBIParser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
libebook::MOBIParser Class Reference

`#include <MOBIParser.h>`

Inheritance diagram for libebook::MOBIParser:

## Public Member Functions
| MOBIParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=0)
virtual | ~MOBIParser ()
Public Member Functions inherited from libebook::PDXParser
virtual | ~PDXParser ()=0
bool | parse ()
| Parse input and produce output to document. More...

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
| MOBIParser (const MOBIParser &other)
MOBIParser & | operator= (const MOBIParser &other)
virtual void | readAppInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readSortInfoRecord (librevenge::RVNGInputStream *record)
virtual void | readIndexRecord (librevenge::RVNGInputStream *record)
virtual void | readDataRecord (librevenge::RVNGInputStream *record, bool last=false)

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDXParser
| PDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format. More...
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run. More...
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present. More...
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record. More...
unsigned | getDataRecordCount () const
| Return the number of data records in the document. More...
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record. More...
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records. More...
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range. More...

## Constructor & Destructor Documentation

## § MOBIParser() [1/2]

libebook::MOBIParser::MOBIParser | ( | const MOBIParser & | other | ) |
| private

## § MOBIParser() [2/2]

libebook::MOBIParser::MOBIParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## § ~MOBIParser()

libebook::MOBIParser::~MOBIParser | ( |  | ) |
| virtual

## Member Function Documentation

## § checkType()

bool libebook::MOBIParser::checkType | ( | unsigned | type,
|  | unsigned | creator
| ) |  |
| static

## § operator=()

MOBIParser& libebook::MOBIParser::operator= | ( | const MOBIParser & | other | ) |
| private

## § readAppInfoRecord()

void libebook::MOBIParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

## § readDataRecord()

void libebook::MOBIParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | last = `false`
| ) |  |
| privatevirtual

Implements libebook::PDXParser.

## § readIndexRecord()

void libebook::MOBIParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

## § readSortInfoRecord()

void libebook::MOBIParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| privatevirtual

Implements libebook::PDXParser.

The documentation for this class was generated from the following files:

- MOBIParser.h
- MOBIParser.cpp